/* Author: Derek O Reilly, Dundalk Institute of Technology, Ireland. */

class PlayerTank extends Tank
{
    /* Each gameObject MUST have a constructor() and a render() method.        */
    /* If the object animates, then it must also have an updateState() method. */

    constructor(tankImage, riverImage, tankMovingSound, centreX, centreY, direction)
    {
        super(tankImage, riverImage, tankMovingSound, 100, centreX, centreY, direction, 1, 0); /* as this class extends from GameObject, you must always call super() */  
    }  
}